{% extends 'base.html.twig' %}

{% block content %}
    <div class="panel">
        {% if app.user.activeCommand %}
            <div class="alert alert-info">
                Vous avez <a href="{{ path('command-view', {'command': app.user.activeCommand.id}) }}">une commande en cours</a>. <a href="{{ path('command-close', {'command': app.user.activeCommand.id}) }}">Annuler</a>
            </div>
        {% endif %}
        {% if app.user.wikis.count < 1 and app.user.blogs.count < 1 and app.user.singlePages.count < 1 %}
            <div class="row">
                <div class="row">
                    <h1 class="uk-heading-primary uk-text-center uk-margin-large uk-margin-remove-bottom"><span>{{ 'index.welcome.title' | trans | raw }}</span></h1>
                </div>
                <div class="row">
                    <div class="alert alert-info col-md-6 col-md-offset-3">
                        <span class="glyphicon glyphicon-info-sign"></span>  <span class="uk-text-center">{{ 'index.welcome.help' | trans }} <a href="#" class="btn btn-default help_button"><span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span> {{ 'help.title' | trans }}</a></span>
                    </div>
                </div>
                <div class="clearfix">
                Vous n'avez pas encore créé de site, que souhaitez-vous faire ?
                </div>
            </div>
        {% endif %}
        {% if app.user.wikis.count > 0 or app.user.blogs.count > 0 or app.user.singlePages.count > 0 %}
        <div class="uk-flex uk-child-width-1-3@m" uk-grid>
            <div class="uk-card uk-card-default uk-card-body uk-text-center uk-flex-middle" data-intro="{{ 'help.site.create' | trans }}">
                <a class="btn btn-primary btn-lg" href="{{ path('new-site') }}" id="create_new_website"><span class="glyphicon glyphicon-plus"></span>{{ 'index.start.create' | trans }}</a>
            </div>
            {% for site in sites %}
                {% if site is blog %}
                    {% set site_ext = 'site' %}
                    {% set site_label = 'site' %}
                    {% set site_gender = 'masc' %}
                {% elseif site is wiki %}
                    {% set site_ext = 'wiki' %}
                    {% set site_label = 'wiki' %}
                    {% set site_gender = 'masc' %}
                {% elseif site is single %}
                    {% set site_ext = 'site' %}
                    {% set site_label = 'page' %}
                    {% set site_gender = 'fem' %}
                {% endif %}
            <div class="uk-card uk-card-default site-block">
                <div class="uk-card-header">
                    <div class="uk-grid-small uk-flex-middle" uk-grid>
                        <div class="uk-flex uk-flex-column uk-margin-remove-bottom uk-padding-remove-bottom">
                            <i class="fa {% spaceless %}{% if site is blog %}fa-globe{% elseif site is wiki %}fa-puzzle-piece{% elseif site is single %}fa-cubes{% endif %}{% endspaceless %}" aria-hidden="true"></i>
                            <div class="uk-label">{% spaceless %}
                                    {% if site is blog %}
                                        SITE
                                    {% elseif site is wiki %}
                                        WIKI
                                    {% elseif site is single %}
                                        PAGE
                                    {% endif %}
                                {% endspaceless %}</div>
                        </div>
                        <div class="uk-width-expand">
                            <h3 class="uk-margin-remove-bottom"><a href="https://{{ site.subdomain }}.frama.{% spaceless %}
                                {% if site is blog or site is single %}
                                    site
                                {% elseif site is wiki %}
                                    wiki
                                {% endif %}
                                {% endspaceless %}" target="_blank" title="{{ 'site.open_new_window' | trans }}" rel="noopener noreferrer">{{ site_infos(site).name }} <span class="glyphicon glyphicon-new-window" aria-hidden="true"></span></a></h3>
                            {% if site.admin %}
                                <p class="uk-margin-remove-top"><time datetime="2016-04-01T19:00">{{ 'site.created' | trans({'%user%': site.admin.username, '%time%': site.createdAt | time_diff}) }}</time></p>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <div class="uk-card-body">
                    {{ site_infos(site).description }}
                </div>
                {#<div class="uk-card-body">
                {% if site.domains | length > 0 %}
                    {{ 'site.domains.also_available' | trans }}
                    <ul class="uk-list uk-list-divider">
                    {% for domain in site.domains %}
                        <li><a href="https://{{ domain.domainName }}">{{ domain.domainName }} <span class="glyphicon glyphicon-new-window" aria-hidden="true"></span></a></li>
                    {% endfor %}
                    </ul>
                {% endif %}
                    <h3><a class="btn btn-primary" href="{{ path('domain') }}">{{ 'site.domains.management' | trans }}</a></h3>
                </div>#}
                <div class="uk-card-footer">
                    <a href="https://{{ site.subdomain }}.frama.{% spaceless %}
                                {% if site is blog or site is single %}
                                    site/admin
                                {% elseif site is wiki %}
                                    wiki/?do=admin
                                {% endif %}
                                {% endspaceless %}" class="btn btn-primary btn-block site-admin" {% if loop.first %}data-intro="{{ 'help.site.admin' | trans }}"{% endif %}>{{ ('site.shortcuts.admin_' ~ site_gender) | trans({'%type%': site_label}) }}</a>
                    <a href="{{ path('site-view', {'site': site.id}) }}" class="btn btn-default btn-block site-management" {% if loop.first %}data-intro="{{ 'help.site.manage' | trans }}"{% endif %}>{{ ('site.shortcuts.management_' ~ site_gender) | trans({'%type%': site_label}) }}</a>
                    <a href="https://{{ site.subdomain }}.frama.{{ site_ext }}" class="btn btn-default btn-block site-view">{{ ('site.shortcuts.view_' ~ site_gender) | trans({'%type%': site_label}) }}</a>
                </div>
            </div>
            {% endfor %}
        </div>
        {% else %}
            {% embed 'default/site/_choice.html.twig' %}
            {% endembed %}
        {% endif %}
        <div class="uk-text-center row" uk-grid>
            <div class="well col-md-8 col-md-offset-2">
                <h4>Options avancées</h4>
                {% if buy_domains %}
                <p>
                    <a class="btn btn-info" href="{{ path('domain') }}" data-intro="{{ 'help.domain.create' | trans }}">Acheter un domaine</a>
                    avec <img src="{{ asset('img/Gandi_logo_black.jpg') }}" height="40" width="100" />{% if buy_domains == false %}(bientôt disponible){% endif %}
                </p>
                {% endif %}
                <p><b>Attention, cette manipulation est à réserver aux utilisatrices et utilisateurs avancé·e·s !</b></p>
                <p>Si vous avez un nom de domaine que vous souhaitez rattacher à un de vos sites ou wiki, c'est possible. Votre adresse en "<em>.frama.site</em>" ou "<em>.frama.wiki</em>" restera disponible, mais c'est votre nom de domaine qui deviendra l'adresse principale.</p>
                <a href="{{ path('domain-help') }}" class="btn btn-default">Comment faire ?</a>
                <a href="{{ path('attach-domain') }}" class="btn btn-primary">Rattacher mon domaine</a>
            </div>
        </div>
    </div>
{% endblock %}
